//
// File: PanelCadres.h
// Created by: Éric Laly <elaly@free.fr>
// Created on: Thu Oct 19 10:09:09 2006
//

#ifndef _PANELCADRES_H_
#define _PANELCADRES_H_
#include <wx/wx.h>
#include <wx/spinctrl.h>
#include <wx/statline.h>
#include <vector>
using std::vector;

#include "PanelSaisieParametresCadre.h"


class PanelCadres:public wxPanel
{
	public:
		PanelCadres(int nombrecadres,wxWindow* parent,int id);
		 ~PanelCadres();
        vector <double> GetPourcentages();
        vector <wxColor> GetCouleurs();	
        vector <bool> GetCouleursAuto();
    
	protected:

    private:
        wxWindow *mon_parent;
        int NombreCadres;
        wxStaticText* label_nombre_cadres;
        wxSpinCtrl* spin_ctrl_nombre_cadres;
        wxStaticLine* static_line_sep;
        vector<PanelSaisieParametresCadre*> panels_cadre;
        wxBoxSizer* sizer_parametres_cadres;
        wxBoxSizer* sizer_cadres;
        wxScrolledWindow *sw_cadres;

        vector <double> PourcentagesCadres;
        vector <wxColor> CouleursCadres;
        vector <bool> CouleursCadresAuto;

        void AjouteOuEnleveCadre(wxCommandEvent& event);
	
};


#endif	//_PANELCADRES_H_
